org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class QueryExplorerLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.CellLabelProvider
      - - org.eclipse.jface.viewers.ColumnLabelProvider
        - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.QueryExplorerLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.IFontProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.IToolTipProvider

      public class QueryExplorerLabelProvider
      extends org.eclipse.jface.viewers.ColumnLabelProvider

  A `ColumnLabelProvider` implementation of the `QueryExplorer`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryExplorerLabelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
    `void` | `dispose()`
    `org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object element)`
    `org.eclipse.swt.graphics.Image` | `getImage(java.lang.Object element)`
    `java.lang.String` | `getText(java.lang.Object element)`
    `java.lang.String` | `getToolTipText(java.lang.Object element)`
    `boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)`
    `void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

    - ### Methods inherited from class org.eclipse.jface.viewers.ColumnLabelProvider

      `getBackground, getFont, update`

    - ### Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider

      `dispose, getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipTimeDisplayed, initialize, useNativeToolTip`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `fireLabelProviderChanged`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryExplorerLabelProvider

          public QueryExplorerLabelProvider()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`

    - #### isLabelProperty

          public boolean isLabelProperty(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `isLabelProperty` in class `org.eclipse.jface.viewers.BaseLabelProvider`

    - #### removeListener

          public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `removeListener` in class `org.eclipse.jface.viewers.BaseLabelProvider`

    - #### addListener

          public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

      Specified by:
        `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `addListener` in class `org.eclipse.jface.viewers.BaseLabelProvider`

    - #### getImage

          public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

      Specified by:
        `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getImage` in class `org.eclipse.jface.viewers.ColumnLabelProvider`

    - #### getText

          public java.lang.String getText(java.lang.Object element)

      Specified by:
        `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getText` in class `org.eclipse.jface.viewers.ColumnLabelProvider`

    - #### getToolTipText

          public java.lang.String getToolTipText(java.lang.Object element)

      Specified by:
        `getToolTipText` in interface `org.eclipse.jface.viewers.IToolTipProvider`
      Overrides:
        `getToolTipText` in class `org.eclipse.jface.viewers.CellLabelProvider`

    - #### getForeground

          public org.eclipse.swt.graphics.Color getForeground(java.lang.Object element)

      Specified by:
        `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
      Overrides:
        `getForeground` in class `org.eclipse.jface.viewers.ColumnLabelProvider`